Total Access Docs
Openapi

Update API key

PUT
/api/v1/integrations/api-keys/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Path Parameters

id*integer

Header Parameters

X-API-Version?string

Date-based minor version negotiation (e.g. 2026-07-01). If omitted, the latest version is used.

Match^\d{4}-\d{2}-\d{2}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/integrations/api-keys/0" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "id": 0,    "key_name": "string",    "api_key": "string",    "client_id": 0,    "user_id": 0,    "scopes": [      "string"    ],    "is_active": true,    "expires_at": "2019-08-24T14:15:22Z",    "ip_allowlist": [      "string"    ],    "display_name": "string",    "avatar_url": "string",    "created_at": "2019-08-24T14:15:22Z",    "last_used_at": "2019-08-24T14:15:22Z"  }}